import type { CodeBuilder } from './code-builder';
interface BuildCodeSnippetParams {
    tokenUrl: string;
    clientId: string;
    level: number;
    responseVariable?: string;
    capitalize?: boolean;
    short?: boolean;
}
export declare function buildJSDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: BuildCodeSnippetParams): void;
export declare function buildPythonDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: BuildCodeSnippetParams): void;
export declare function buildPHPDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: BuildCodeSnippetParams): void;
export declare function buildGoDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: BuildCodeSnippetParams): void;
export declare function buildCSharpDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: BuildCodeSnippetParams): void;
export declare function buildCSharpNewtonsoftDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: BuildCodeSnippetParams): void;
export declare function buildJavaDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: BuildCodeSnippetParams): void;
export declare function buildJava8DeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level }: {
    tokenUrl: string;
    clientId: string;
    level: number;
}): void;
export declare function buildRDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level, responseVariable }: BuildCodeSnippetParams): void;
export declare function buildRubyDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, level, responseVariable, capitalize }: BuildCodeSnippetParams): void;
export declare function buildShellDeviceAuthorizationCodeSnippet(code: CodeBuilder, { tokenUrl, clientId, short }: BuildCodeSnippetParams): void;
export {};
